#!/bin/sh
TEMPS=""
FANS=""
if [ -r /etc/profile.d/lang.sh ]
then
    . /etc/profile.d/lang.sh
fi
if [ -x /usr/local/bin/sensors_wrap.sh ]
then
	TEMPS="`/usr/local/bin/sensors_wrap.sh 2>/dev/null ` "
fi
if [ -x /usr/local/bin/fan_wrap.sh ]
then
        FANS="`/usr/local/bin/fan_wrap.sh 2>/dev/null `"
fi
LOADAVG="`cat /proc/loadavg`"
SWAPFREE="`grep SwapFree /proc/meminfo | awk '{print $2}' `"
DDATE="`date +'%D %H:%M'`"
echo "${DDATE} ${TEMPS} ${FANS} ${LOADAVG} ${SWAPFREE}" >> /var/log/temp.log
